Bug 203806 - ESC needs A11Y hotkeys
ESC needs A11Y hotkeys
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Depends On:
Blocks: 202042
  Show dependency treegraph
Reported: 2006-08-23 15:58 EDT by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0634
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 11:57:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-08-23 15:58:20 EDT
Description of problem:
Apparently no hotkeys in ESC. This is problematic, as it requires people to use
the mouse when they might otherwise not want to do so. If nothing else, it's
unkind to those with repetative stress problems. (If there _are_ hotkeys
available, please underline the key in question, so that it's obvious that alt
and the key will cause things to happen)

Similarly, if in the 'TPS config info' screen, it does not automatically put the
cursor in the text box. This means both that one must select it initially, and
one must select it again if one alt tabs to another window and back again.
Again, bad for ergonomics.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Jack Magne 2006-08-24 19:09:45 EDT
After some research this feature will be easy to implement using the XUL
"accesskey" attribute of the UI elements.
Comment 2 Benjamin Kahn 2006-09-19 15:16:44 EDT
Hotkeys is not a beta blocker, I don't believe....
Comment 3 Chandrasekar Kannan 2006-11-21 16:30:01 EST
per last bug council on 11/17, I asked bob lord for input.
and he is ok with moving this bug to RHEL 5.1.
Comment 4 Chandrasekar Kannan 2007-03-20 07:10:01 EDT
per the last bug meeting, we decided this would be targeted in the rhel 5.1
Comment 5 Bob Lord 2007-03-28 13:24:38 EDT
This bug was proposed for RHEL 5, but wasn't resolved in time.
    devel_ack+ for RHEL 5.1.
Comment 6 Jack Magne 2007-04-13 13:00:14 EDT
Locally have progressed to where the following screens have hot keys:

Smart Card Manager Page
Diagnostics Page
Phone Home Config Page
Comment 7 Jack Magne 2007-04-18 20:51:34 EDT
Remaining ESC dialogs now have hot keys.

Fixed in esc-1.0.0-21.el5 .

Comment 9 Jack Magne 2007-05-23 18:31:08 EDT

I've done a build in brew esc-1.0.1-3.fc7 which should have the underlined hotkeys.
Comment 11 Jack Magne 2007-06-27 19:16:10 EDT

1. Navigate the various local ESC UI pages.
2. Note that the hot keys are present and operational.
Comment 13 Jack Magne 2007-08-17 12:54:40 EDT
Thanks for the catch. What we did with the cert viewer was to re-use and
minimally modify some Mozilla code.
Comment 14 Scott Haines 2007-08-17 17:09:10 EDT
Fixed for RHEL5.1 but will open a separate bug for 'View Certificate' problem.
Comment 17 Chandrasekar Kannan 2007-09-14 19:55:26 EDT
verified on x86_64. rhel5.1-client-snapshot#6
Comment 19 errata-xmlrpc 2007-11-07 11:57:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.